如何在RedHat Enterprise 5上安装automake和autoconf?

Modified on: Fri, 19 Jul 2019 15:20:03 +0800

我正在尝试为PHP应用程序安装“uploadprogress”,并且依赖项失败。

首先,在phpize上,然后是php-devel,然后是autoconf和automake。

我已经尝试过yum和各种存储库,没有运气。

我认为这与他们在Rackspace Cloud服务器上设置的超紧凑但烦人的设置有关。

有谁知道我在哪里可以找到一个我可以告诉yum的存储库,它将包含php-devel,autoconf,automake等?

非常感谢。


发布详情
红帽企业Linux服务器版本5.3(Tikanga)

Linux版本2.6.18-128.7.1.el5xen(mockbuild@hs20-bc2-3.build.redhat.com)(gcc版本4.1.2 20080704(Red Hat 4.1.2-44))#1 SMP Wed 8月19日04:17:26 EDT 2009

Linux Serv001 2.6.18-128.7.1.el5xen#1 SMP Wed Aug 19 04:17:26 EDT 2009 x86_64 x86_64 x86_64 GNU / Linux

最佳答案

这些应该可以通过yum和基础RHEL存储库进行安装。您是否尝试过查询它们是否已安装但未在您的路径中?另外,您是否通过yum成功安装了任何东西?

要检查您需要安装的软件包:

[user@server]# yum whatprovides autoconf automake
Loaded plugins: rhnplugin, security
autoconf-2.59-12.noarch : A GNU tool for automatically configuring source code.
Repo        : rhel-x86_64-server-5
Matched from:

automake-1.9.6-2.1.noarch : A GNU tool for automatically creating Makefiles.
Repo        : rhel-x86_64-server-5
Matched from:
作者:hurfdurf

相关问答

添加新评论